tigase.server.xmppserver

## Interface S2SConnectionHandlerIfc<IO extends XMPPIOService<?>>

- Type Parameters:
    `IO` -
  All Known Implementing Classes:
    S2SConnectionClustered, S2SConnectionManager

      public interface S2SConnectionHandlerIfc<IO extends XMPPIOService<?>>

  Created: Dec 9, 2010 11:40:28 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addOutPacket(Packet packet)`
    `void` | `addTimerTask(TimerTask task, long delay, TimeUnit unit)`
    `CIDConnections` | `getCIDConnections(CID cid, boolean createNew)`
    `tigase.xmpp.BareJID` | `getDefHostName()`
    `String` | `getLocalDBKey(CID cid, CID keyCid, String remote_key, String stanzaId, String sessionId)`
    `List<tigase.xml.Element>` | `getStreamFeatures(S2SIOService serv)` Method description
    `void` | `initNewConnection(Map<String,Object> port_props)`
    `boolean` | `isTlsWantClientAuthEnabled()`
    `boolean` | `sendVerifyResult(String elem_name, CID connCid, CID keyCid, Boolean valid, String key_sessionId, String serv_sessionId, String cdata, boolean handshakingOnly)`
    `void` | `writePacketsToSocket(IO serv, Queue<Packet> packets)`
    `boolean` | `writePacketToSocket(IO serv, Packet packet)`
    `void` | `writeRawData(IO serv, String strError)`

- - ### Method Detail

    - #### getStreamFeatures

          List<tigase.xml.Element> getStreamFeatures(S2SIOService serv)

      Method description
      Parameters:
        `serv` -

    - #### addOutPacket

          boolean addOutPacket(Packet packet)

    - #### addTimerTask

          void addTimerTask(TimerTask task,
                          long delay,
                          TimeUnit unit)

    - #### getCIDConnections

          CIDConnections getCIDConnections(CID cid,
                                         boolean createNew)
                                           throws NotLocalhostException,
                                                  LocalhostException

      Throws:
        `NotLocalhostException`
        `LocalhostException`

    - #### getDefHostName

          tigase.xmpp.BareJID getDefHostName()

    - #### getLocalDBKey

          String getLocalDBKey(CID cid,
                             CID keyCid,
                             String remote_key,
                             String stanzaId,
                             String sessionId)

    - #### initNewConnection

          void initNewConnection(Map<String,Object> port_props)

    - #### isTlsWantClientAuthEnabled

          boolean isTlsWantClientAuthEnabled()

    - #### sendVerifyResult

          boolean sendVerifyResult(String elem_name,
                                 CID connCid,
                                 CID keyCid,
                                 Boolean valid,
                                 String key_sessionId,
                                 String serv_sessionId,
                                 String cdata,
                                 boolean handshakingOnly)

    - #### writePacketToSocket

          boolean writePacketToSocket(IO serv,
                                    Packet packet)

    - #### writePacketsToSocket

          void writePacketsToSocket(IO serv,
                                  Queue<Packet> packets)

    - #### writeRawData

          void writeRawData(IO serv,
                          String strError)

Copyright © 2014 "Tigase, Inc.". All rights reserved.